
LOGISTICS ALLIANCE (THAILAND) CO.,LTD. - Project progress work #1019

Parent project # 542 (Closed): [PJ240019] CKD system for Logistics Alliance (Thailand) CO.,LTD CYLC

Automated upload and download files via FTP

25 Jul 2025 09:23 - Thanthima Phaengkham

Status: Closed Start date: 28 Apr 2025

Priority: Normal Due date: 26 Jun 2025

Assignee: Thanthima Phaengkham % Done: 100%

Category:  Estimated time: 128.00 hours

Target version:  Spent time: 128.00 hours

Finish date: 26 Jun 2025 DB skills: Not using

Programming skills: Windows/VB OS skills: Windows server

Description

Scope of Work (SOW)

Automated FTP File Upload & Download

1. Download Process

1.1. File Download

Download 20 files from the MC server to the LAT server on a fixed schedule.  

No. FTP File ID File Name Schedule

--- ----------- ---------------

---------------

---------

---------------

--

1 LTE7C001 PSPO Daily at

07:40 AM

2 LTE7C002 PSPO Daily at

07:40 AM

3 LTE7C003 PSPO Daily at

07:40 AM

4 LTE7D001 Container Daily at

07:40 AM

5 LTE7D002 Shipping

Information

 – DB

Deletion

File

Daily at

07:40 AM

6 LTF2A001 Packing

Plan

Daily at

07:40 AM

7 LTF2A002 Shipping

Mark

Daily at

07:40 AM

8 LTF2A003 Supply Part

Master

Daily at

07:40 AM

9 LTF2A004 KDMS Daily at

07:40 AM

10 LTF2A005 KDMS Daily at

07:40 AM

11 LTF2A006 Empty

Container

Quantity

File

Daily at

07:40 AM

12 LTF2A007 Packing

Plan

Daily at

07:40 AM

13 LTF2A008 Shipping

Mark

Daily at

07:40 AM
14 LTF4B001 Vanning

Plan

Daily at

07:40 AM

15 LTF4B002 Vanning

Plan

Daily at

07:40 AM

16 LTM2AS01 Receiving

Plan I/H

Daily at

07:40 AM

17 LTM2AS02 Receiving

Plan I/H

Daily at

07:40 AM

18 LTM2BS01 Receiving

Plan – Su

pplier

Daily at

07:40 AM

19 LTM2BS02 Receiving

Plan – Su

pplier

Daily at

07:40 AM

20 LTP5B001 PKE Run

Auto \[ATP

5B001]

Daily at

07:40 AM

1.2. Convert FTP to Text

Transform each downloaded file into plain-text format.

1.3. Remove Headers

Strip every header line, e.g.:

@SOD LTM2BS02 0000004 20250317224318

1.4. Remove Footers

Strip every footer line, e.g.:

@EOD LTM2BS02 0000004 20250317224318

1.5. Backup Data

Move the current (pre‑processed) files into the designated backup folder.

1.6. Logging

Generate and store a log file for IT monitoring and audit trails.

2. Upload Process

2.1. Generate Upload Files

Extract results from the PICS system (via Day‑Shift and Night‑Shift menus).

2.2. Convert to Text & Add Header

Convert each result file to text and prepend:

@SOD <FileID> | <RecordCount> | <YYYYMMDDHHMMSS>

2.3. Add Footer

Append:

@EOD <FileID> | <RecordCount> | <YYYYMMDDHHMMSS>

2.4. FTP Upload

Transfer all prepared text files to the MC server.

2.5. Backup Data

Archive the uploaded files into the backup folder.

2.6. Logging

Generate and store a log file for IT monitoring and audit trails.

2.7. Upload Schedule  

No. FTP File ID File Name Schedule Status
--- ----------- --------------------- --------------------------

-----

---------

21 LLE3A010 Engine B299 — Pending

22 LLE7D004 CY In/Out Daily at 08:00 AM

(Night Shift)

Scheduled

23 LLE7D005 CY Daily at 08:00 AM

(Night Shift)

Scheduled

24 LLE7D006 CY Daily at 08:00 AM

(Night Shift)

Scheduled

25 LLF2B005 Case / Packing

Result

Daily at 08:00 AM

(Night Shift)

Scheduled

26 LLF2B006 Part Information Daily at 08:00 AM

(Night Shift)

Scheduled

27 LLF2B007 Engine Daily at 08:00 AM

(Night Shift)

Scheduled

28 LLF2B008 Part Weight Daily at 08:00 AM

(Night Shift)

Scheduled

29 LLF4C003 Vanning Result Daily at 08:00 AM

(Night Shift)

Scheduled

30 LLE3A020 Engine B299 — Pending

31 LLE7C001 PSPO Daily at 08:00 PM

(Day Shift)

Pending

32 LLE7C002 PSPO Daily at 08:00 PM

(Day Shift)

Pending

33 LLE7C003 PSPO Daily at 08:00 PM

(Day Shift)

Pending

34 LLE7D001 CY In/Out Daily at 08:00 PM

(Day Shift)

Scheduled

35 LLE7D002 CY Daily at 08:00 PM

(Day Shift)

Scheduled

36 LLE7D003 CY Daily at 08:00 PM

(Day Shift)

Scheduled

37 LLF2B001 Case / Packing

Result

Daily at 08:00 PM

(Day Shift)

Scheduled

38 LLF2B002 Part Information Daily at 08:00 PM

(Day Shift)

Scheduled

39 LLF2B003 Engine — Pending

40 LLF2B004 Part Weight Daily at 08:00 PM

(Day Shift)

Scheduled

41 LLF4C001 Vanning Result Daily at 08:00 PM

(Day Shift)

Scheduled

42 LLF4C004 Stowage Daily at 08:00 PM

(Day Shift)

Scheduled

43 LLF4C005 MSC Grouping File Daily at 08:00 PM

(Day Shift)

Scheduled

44 LLP5B001 CP of PKE Daily at 08:00 PM

(Day Shift)

Scheduled

History

#1 - 25 Jul 2025 09:44 - Thanthima Phaengkham

- Start date changed from 19 Mar 2025 to 28 Apr 2025

#2 - 25 Jul 2025 10:02 - Thanthima Phaengkham
- Status changed from New to Confirmation request

- % Done changed from 0 to 100

- Finish date set to 26 Jun 2025

#3 - 25 Jul 2025 10:04 - Thanthima Phaengkham

- Status changed from Confirmation request to In Progress

- % Done changed from 100 to 0

#4 - 25 Jul 2025 10:04 - Thanthima Phaengkham

- Status changed from In Progress to Confirmation request

- % Done changed from 0 to 100

#5 - 25 Jul 2025 10:05 - Thanthima Phaengkham

- Status changed from Confirmation request to In Progress

- % Done changed from 100 to 0

#6 - 25 Jul 2025 10:05 - Thanthima Phaengkham

- Status changed from In Progress to New

#7 - 25 Jul 2025 10:05 - Thanthima Phaengkham

- Estimated time changed from 504.00 h to 128.00 h

#8 - 25 Jul 2025 10:05 - Thanthima Phaengkham

- Status changed from New to Confirmation request

- % Done changed from 0 to 100

#9 - 04 Aug 2025 07:27 - Kittisak Isarapongporn

- Status changed from Confirmation request to Close request

#10 - 17 Nov 2025 15:32 - Siriwilai Chaiwattanaphon

- Status changed from Close request to Closed
